org.apache.fop.render.ps

## Interface PSSupportedFlavors

All Known Implementing Classes:
  ResourceHandler

    public interface PSSupportedFlavors

Defines the set of supported ImageFlavors for the PostScript renderer.

### Field Summary

Fields
`static org.apache.xmlgraphics.image.loader.ImageFlavor[]` `LEVEL_2_FLAVORS_FORM` The flavors supported as forms with PostScript level 2.
`static org.apache.xmlgraphics.image.loader.ImageFlavor[]` `LEVEL_2_FLAVORS_INLINE` The flavors supported inline with PostScript level 2.
`static org.apache.xmlgraphics.image.loader.ImageFlavor[]` `LEVEL_3_FLAVORS_FORM` The flavors supported as forms with PostScript level 3 or higher.
`static org.apache.xmlgraphics.image.loader.ImageFlavor[]` `LEVEL_3_FLAVORS_INLINE` The flavors supported inline with PostScript level 3 and higher.

### Field Detail

#### LEVEL_2_FLAVORS_INLINE

    static final org.apache.xmlgraphics.image.loader.ImageFlavor[] LEVEL_2_FLAVORS_INLINE

The flavors supported inline with PostScript level 2.

#### LEVEL_3_FLAVORS_INLINE

    static final org.apache.xmlgraphics.image.loader.ImageFlavor[] LEVEL_3_FLAVORS_INLINE

The flavors supported inline with PostScript level 3 and higher.

#### LEVEL_2_FLAVORS_FORM

    static final org.apache.xmlgraphics.image.loader.ImageFlavor[] LEVEL_2_FLAVORS_FORM

The flavors supported as forms with PostScript level 2.

#### LEVEL_3_FLAVORS_FORM

    static final org.apache.xmlgraphics.image.loader.ImageFlavor[] LEVEL_3_FLAVORS_FORM

The flavors supported as forms with PostScript level 3 or higher.